{% extends 'base.html.twig' %}

{% block body -%}
    <main class='main-content bgc-grey-100'>
        <div id='mainContent'>
            <h1>Mikrotik - modifica pool</h1>
            {{ form_start(edit_form) }}
            <div class="alert alert-warning">
                Attenzione: la modifica del range di ip o l'eliminazione del pool, comporterà la disassociazione di tali
                ip da un pool, e la conseguente cancellazione dal mikrotik.<br/>
                In caso vengano compresi nel range di un'altro pool di indirizzi, verranno riassociati (e rigenerati sul
                mikrotik) automaticamente
            </div>

            {{ form_errors(edit_form) }}


            {{ form_row(edit_form.nome) }}
            {{ form_row(edit_form.mikrotik) }}

            <div class="input-group">
                {{ form_widget(edit_form.dhcpServerName) }}
                <span class="input-group-btn"><button
                            type="button" id="searchDhcpServerNameBt" name="searchDhcpServerNameBt"
                            class="btn btn-secondary">Cerca</button></span></div>

            {{ form_row(edit_form.dottedIpStart) }}
            {{ form_row(edit_form.dottedIpEnd) }}
            {{ form_row(edit_form.creareSuMikrotik) }}
            {{ form_rest(edit_form) }}

            <div class="row sendBtnArea">
                <div class="col-sm-4">

                    <button type="submit" class="btn btn-success">Salva modifiche al pool di indirizzi</button>
                </div>
                <div class="col-sm-4 text-sm-center">
                    <a href="{{ path('mikrotik_pool') }}" class="btn btn-info">
                        Ritorna alla lista
                    </a>
                </div>
                {{ form_end(edit_form) }}

                <div class="col-sm-4 text-sm-right">
                    <a href="{{ path('mikrotik_pool_delete', { 'id': entity.id }) }}" class="btn btn-danger">
                        Rimuovi questo pool</a>
                </div>
            </div>

            <div class="modal fade" id="searchDhcpServerNameModal" tabindex="-1" role="dialog"
                 aria-labelledby="searchDhcpServerNameLabel">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title" id="searchDhcpServerNameLabel">Seleziona nome server dhcp</h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                                        aria-hidden="true">&times;</span></button>
                        </div>
                        <div class="modal-body">
                            <div class="form-group">
                                <select name="searchDhcpServerNameSelect" id="searchDhcpServerNameSelect"
                                        class="form-control"></select>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Annulla</button>
                            <button type="button" class="btn btn-primary" id="searchDhcpServerNameUseBt">Usa Nome
                                Server
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>

{% endblock %}


{% block javascripts %}
    {{ parent() }}
    <script type="text/javascript">
        $(function ($) {
            var $dhcpServerNameInput = $('#mikrotik_pool_dhcpServerName');
            var $searchDhcpServerBt = $('#searchDhcpServerNameBt');
            var $searchDhcpServerNameUseBt = $('#searchDhcpServerNameUseBt');
            var $searchDhcpServerNameModal = $('#searchDhcpServerNameModal');
            var $mikrotikSelect = $('#mikrotik_pool_mikrotik');
            var $searchDhcpServerNameSelect = $('#searchDhcpServerNameSelect');

            $searchDhcpServerBt.click(function () {
                var mikrotikId = $mikrotikSelect.val();
                if (mikrotikId === null || mikrotikId === "") {
                    return;
                }

                $searchDhcpServerBt.text('Loading...');

                $.get("{{ path('config_mikrotik_get_dhcp_servers_name', {'id': "%id"}) }}".replace("%25id", mikrotikId), function (data) {
                    console.log(data);
                    if (!data || typeof data.names === "undefined") {
                        $searchDhcpServerBt.text('Cerca');
                        return;
                    }

                    var listItems = "";
                    for (var i in data.names) {
                        listItems += '<option value=' + data.names[i] + '>' + data.names[i] + '</option>';
                    }
                    $searchDhcpServerNameSelect.html(listItems);

                    $searchDhcpServerNameModal.modal();
                    $searchDhcpServerBt.text('Cerca');
                }, 'json').fail(function () {
                    $searchDhcpServerBt.text('Cerca');
                });

            });

            $searchDhcpServerNameUseBt.click(function () {
                $dhcpServerNameInput.val($searchDhcpServerNameSelect.val());
                $searchDhcpServerNameModal.modal('hide');
            })
        })
    </script>

{% endblock %}
